IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/84
Addresses2^44
/64 networksPart of one
- Network
2001:db8::2:7000:0:0/84- First address
2001:db8::2:7000:0:0- Last address
2001:db8::2:7fff:ffff:ffff- Addresses
- 17,592,186,044,416 (2^44)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0002:7000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
7.2.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::2:7000:0:0/84 makes 256 subnets of /92.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::2:7000:0:0/92 | 2001:db8::2:700f:ffff:ffff |
| 2 | 2001:db8::2:7010:0:0/92 | 2001:db8::2:701f:ffff:ffff |
| 3 | 2001:db8::2:7020:0:0/92 | 2001:db8::2:702f:ffff:ffff |
| 4 | 2001:db8::2:7030:0:0/92 | 2001:db8::2:703f:ffff:ffff |
| 5 | 2001:db8::2:7040:0:0/92 | 2001:db8::2:704f:ffff:ffff |
| 6 | 2001:db8::2:7050:0:0/92 | 2001:db8::2:705f:ffff:ffff |
| 7 | 2001:db8::2:7060:0:0/92 | 2001:db8::2:706f:ffff:ffff |
| 8 | 2001:db8::2:7070:0:0/92 | 2001:db8::2:707f:ffff:ffff |
| 9 | 2001:db8::2:7080:0:0/92 | 2001:db8::2:708f:ffff:ffff |
| 10 | 2001:db8::2:7090:0:0/92 | 2001:db8::2:709f:ffff:ffff |
| 11 | 2001:db8::2:70a0:0:0/92 | 2001:db8::2:70af:ffff:ffff |
| 12 | 2001:db8::2:70b0:0:0/92 | 2001:db8::2:70bf:ffff:ffff |
| 13 | 2001:db8::2:70c0:0:0/92 | 2001:db8::2:70cf:ffff:ffff |
| 14 | 2001:db8::2:70d0:0:0/92 | 2001:db8::2:70df:ffff:ffff |
| 15 | 2001:db8::2:70e0:0:0/92 | 2001:db8::2:70ef:ffff:ffff |
| 16 | 2001:db8::2:70f0:0:0/92 | 2001:db8::2:70ff:ffff:ffff |
| 17 | 2001:db8::2:7100:0:0/92 | 2001:db8::2:710f:ffff:ffff |
| 18 | 2001:db8::2:7110:0:0/92 | 2001:db8::2:711f:ffff:ffff |
| 19 | 2001:db8::2:7120:0:0/92 | 2001:db8::2:712f:ffff:ffff |
| 20 | 2001:db8::2:7130:0:0/92 | 2001:db8::2:713f:ffff:ffff |
| 21 | 2001:db8::2:7140:0:0/92 | 2001:db8::2:714f:ffff:ffff |
| 22 | 2001:db8::2:7150:0:0/92 | 2001:db8::2:715f:ffff:ffff |
| 23 | 2001:db8::2:7160:0:0/92 | 2001:db8::2:716f:ffff:ffff |
| 24 | 2001:db8::2:7170:0:0/92 | 2001:db8::2:717f:ffff:ffff |
| 25 | 2001:db8::2:7180:0:0/92 | 2001:db8::2:718f:ffff:ffff |
| 26 | 2001:db8::2:7190:0:0/92 | 2001:db8::2:719f:ffff:ffff |
| 27 | 2001:db8::2:71a0:0:0/92 | 2001:db8::2:71af:ffff:ffff |
| 28 | 2001:db8::2:71b0:0:0/92 | 2001:db8::2:71bf:ffff:ffff |
| 29 | 2001:db8::2:71c0:0:0/92 | 2001:db8::2:71cf:ffff:ffff |
| 30 | 2001:db8::2:71d0:0:0/92 | 2001:db8::2:71df:ffff:ffff |
| 31 | 2001:db8::2:71e0:0:0/92 | 2001:db8::2:71ef:ffff:ffff |
| 32 | 2001:db8::2:71f0:0:0/92 | 2001:db8::2:71ff:ffff:ffff |
| 33 | 2001:db8::2:7200:0:0/92 | 2001:db8::2:720f:ffff:ffff |
| 34 | 2001:db8::2:7210:0:0/92 | 2001:db8::2:721f:ffff:ffff |
| 35 | 2001:db8::2:7220:0:0/92 | 2001:db8::2:722f:ffff:ffff |
| 36 | 2001:db8::2:7230:0:0/92 | 2001:db8::2:723f:ffff:ffff |
| 37 | 2001:db8::2:7240:0:0/92 | 2001:db8::2:724f:ffff:ffff |
| 38 | 2001:db8::2:7250:0:0/92 | 2001:db8::2:725f:ffff:ffff |
| 39 | 2001:db8::2:7260:0:0/92 | 2001:db8::2:726f:ffff:ffff |
| 40 | 2001:db8::2:7270:0:0/92 | 2001:db8::2:727f:ffff:ffff |
| 41 | 2001:db8::2:7280:0:0/92 | 2001:db8::2:728f:ffff:ffff |
| 42 | 2001:db8::2:7290:0:0/92 | 2001:db8::2:729f:ffff:ffff |
| 43 | 2001:db8::2:72a0:0:0/92 | 2001:db8::2:72af:ffff:ffff |
| 44 | 2001:db8::2:72b0:0:0/92 | 2001:db8::2:72bf:ffff:ffff |
| 45 | 2001:db8::2:72c0:0:0/92 | 2001:db8::2:72cf:ffff:ffff |
| 46 | 2001:db8::2:72d0:0:0/92 | 2001:db8::2:72df:ffff:ffff |
| 47 | 2001:db8::2:72e0:0:0/92 | 2001:db8::2:72ef:ffff:ffff |
| 48 | 2001:db8::2:72f0:0:0/92 | 2001:db8::2:72ff:ffff:ffff |
| 49 | 2001:db8::2:7300:0:0/92 | 2001:db8::2:730f:ffff:ffff |
| 50 | 2001:db8::2:7310:0:0/92 | 2001:db8::2:731f:ffff:ffff |
| 51 | 2001:db8::2:7320:0:0/92 | 2001:db8::2:732f:ffff:ffff |
| 52 | 2001:db8::2:7330:0:0/92 | 2001:db8::2:733f:ffff:ffff |
| 53 | 2001:db8::2:7340:0:0/92 | 2001:db8::2:734f:ffff:ffff |
| 54 | 2001:db8::2:7350:0:0/92 | 2001:db8::2:735f:ffff:ffff |
| 55 | 2001:db8::2:7360:0:0/92 | 2001:db8::2:736f:ffff:ffff |
| 56 | 2001:db8::2:7370:0:0/92 | 2001:db8::2:737f:ffff:ffff |
| 57 | 2001:db8::2:7380:0:0/92 | 2001:db8::2:738f:ffff:ffff |
| 58 | 2001:db8::2:7390:0:0/92 | 2001:db8::2:739f:ffff:ffff |
| 59 | 2001:db8::2:73a0:0:0/92 | 2001:db8::2:73af:ffff:ffff |
| 60 | 2001:db8::2:73b0:0:0/92 | 2001:db8::2:73bf:ffff:ffff |
| 61 | 2001:db8::2:73c0:0:0/92 | 2001:db8::2:73cf:ffff:ffff |
| 62 | 2001:db8::2:73d0:0:0/92 | 2001:db8::2:73df:ffff:ffff |
| 63 | 2001:db8::2:73e0:0:0/92 | 2001:db8::2:73ef:ffff:ffff |
| 64 | 2001:db8::2:73f0:0:0/92 | 2001:db8::2:73ff:ffff:ffff |
| 65 | 2001:db8::2:7400:0:0/92 | 2001:db8::2:740f:ffff:ffff |
| 66 | 2001:db8::2:7410:0:0/92 | 2001:db8::2:741f:ffff:ffff |
| 67 | 2001:db8::2:7420:0:0/92 | 2001:db8::2:742f:ffff:ffff |
| 68 | 2001:db8::2:7430:0:0/92 | 2001:db8::2:743f:ffff:ffff |
| 69 | 2001:db8::2:7440:0:0/92 | 2001:db8::2:744f:ffff:ffff |
| 70 | 2001:db8::2:7450:0:0/92 | 2001:db8::2:745f:ffff:ffff |
| 71 | 2001:db8::2:7460:0:0/92 | 2001:db8::2:746f:ffff:ffff |
| 72 | 2001:db8::2:7470:0:0/92 | 2001:db8::2:747f:ffff:ffff |
| 73 | 2001:db8::2:7480:0:0/92 | 2001:db8::2:748f:ffff:ffff |
| 74 | 2001:db8::2:7490:0:0/92 | 2001:db8::2:749f:ffff:ffff |
| 75 | 2001:db8::2:74a0:0:0/92 | 2001:db8::2:74af:ffff:ffff |
| 76 | 2001:db8::2:74b0:0:0/92 | 2001:db8::2:74bf:ffff:ffff |
| 77 | 2001:db8::2:74c0:0:0/92 | 2001:db8::2:74cf:ffff:ffff |
| 78 | 2001:db8::2:74d0:0:0/92 | 2001:db8::2:74df:ffff:ffff |
| 79 | 2001:db8::2:74e0:0:0/92 | 2001:db8::2:74ef:ffff:ffff |
| 80 | 2001:db8::2:74f0:0:0/92 | 2001:db8::2:74ff:ffff:ffff |
| 81 | 2001:db8::2:7500:0:0/92 | 2001:db8::2:750f:ffff:ffff |
| 82 | 2001:db8::2:7510:0:0/92 | 2001:db8::2:751f:ffff:ffff |
| 83 | 2001:db8::2:7520:0:0/92 | 2001:db8::2:752f:ffff:ffff |
| 84 | 2001:db8::2:7530:0:0/92 | 2001:db8::2:753f:ffff:ffff |
| 85 | 2001:db8::2:7540:0:0/92 | 2001:db8::2:754f:ffff:ffff |
| 86 | 2001:db8::2:7550:0:0/92 | 2001:db8::2:755f:ffff:ffff |
| 87 | 2001:db8::2:7560:0:0/92 | 2001:db8::2:756f:ffff:ffff |
| 88 | 2001:db8::2:7570:0:0/92 | 2001:db8::2:757f:ffff:ffff |
| 89 | 2001:db8::2:7580:0:0/92 | 2001:db8::2:758f:ffff:ffff |
| 90 | 2001:db8::2:7590:0:0/92 | 2001:db8::2:759f:ffff:ffff |
| 91 | 2001:db8::2:75a0:0:0/92 | 2001:db8::2:75af:ffff:ffff |
| 92 | 2001:db8::2:75b0:0:0/92 | 2001:db8::2:75bf:ffff:ffff |
| 93 | 2001:db8::2:75c0:0:0/92 | 2001:db8::2:75cf:ffff:ffff |
| 94 | 2001:db8::2:75d0:0:0/92 | 2001:db8::2:75df:ffff:ffff |
| 95 | 2001:db8::2:75e0:0:0/92 | 2001:db8::2:75ef:ffff:ffff |
| 96 | 2001:db8::2:75f0:0:0/92 | 2001:db8::2:75ff:ffff:ffff |
| 97 | 2001:db8::2:7600:0:0/92 | 2001:db8::2:760f:ffff:ffff |
| 98 | 2001:db8::2:7610:0:0/92 | 2001:db8::2:761f:ffff:ffff |
| 99 | 2001:db8::2:7620:0:0/92 | 2001:db8::2:762f:ffff:ffff |
| 100 | 2001:db8::2:7630:0:0/92 | 2001:db8::2:763f:ffff:ffff |
| 101 | 2001:db8::2:7640:0:0/92 | 2001:db8::2:764f:ffff:ffff |
| 102 | 2001:db8::2:7650:0:0/92 | 2001:db8::2:765f:ffff:ffff |
| 103 | 2001:db8::2:7660:0:0/92 | 2001:db8::2:766f:ffff:ffff |
| 104 | 2001:db8::2:7670:0:0/92 | 2001:db8::2:767f:ffff:ffff |
| 105 | 2001:db8::2:7680:0:0/92 | 2001:db8::2:768f:ffff:ffff |
| 106 | 2001:db8::2:7690:0:0/92 | 2001:db8::2:769f:ffff:ffff |
| 107 | 2001:db8::2:76a0:0:0/92 | 2001:db8::2:76af:ffff:ffff |
| 108 | 2001:db8::2:76b0:0:0/92 | 2001:db8::2:76bf:ffff:ffff |
| 109 | 2001:db8::2:76c0:0:0/92 | 2001:db8::2:76cf:ffff:ffff |
| 110 | 2001:db8::2:76d0:0:0/92 | 2001:db8::2:76df:ffff:ffff |
| 111 | 2001:db8::2:76e0:0:0/92 | 2001:db8::2:76ef:ffff:ffff |
| 112 | 2001:db8::2:76f0:0:0/92 | 2001:db8::2:76ff:ffff:ffff |
| 113 | 2001:db8::2:7700:0:0/92 | 2001:db8::2:770f:ffff:ffff |
| 114 | 2001:db8::2:7710:0:0/92 | 2001:db8::2:771f:ffff:ffff |
| 115 | 2001:db8::2:7720:0:0/92 | 2001:db8::2:772f:ffff:ffff |
| 116 | 2001:db8::2:7730:0:0/92 | 2001:db8::2:773f:ffff:ffff |
| 117 | 2001:db8::2:7740:0:0/92 | 2001:db8::2:774f:ffff:ffff |
| 118 | 2001:db8::2:7750:0:0/92 | 2001:db8::2:775f:ffff:ffff |
| 119 | 2001:db8::2:7760:0:0/92 | 2001:db8::2:776f:ffff:ffff |
| 120 | 2001:db8::2:7770:0:0/92 | 2001:db8::2:777f:ffff:ffff |
| 121 | 2001:db8::2:7780:0:0/92 | 2001:db8::2:778f:ffff:ffff |
| 122 | 2001:db8::2:7790:0:0/92 | 2001:db8::2:779f:ffff:ffff |
| 123 | 2001:db8::2:77a0:0:0/92 | 2001:db8::2:77af:ffff:ffff |
| 124 | 2001:db8::2:77b0:0:0/92 | 2001:db8::2:77bf:ffff:ffff |
| 125 | 2001:db8::2:77c0:0:0/92 | 2001:db8::2:77cf:ffff:ffff |
| 126 | 2001:db8::2:77d0:0:0/92 | 2001:db8::2:77df:ffff:ffff |
| 127 | 2001:db8::2:77e0:0:0/92 | 2001:db8::2:77ef:ffff:ffff |
| 128 | 2001:db8::2:77f0:0:0/92 | 2001:db8::2:77ff:ffff:ffff |
| 129 | 2001:db8::2:7800:0:0/92 | 2001:db8::2:780f:ffff:ffff |
| 130 | 2001:db8::2:7810:0:0/92 | 2001:db8::2:781f:ffff:ffff |
| 131 | 2001:db8::2:7820:0:0/92 | 2001:db8::2:782f:ffff:ffff |
| 132 | 2001:db8::2:7830:0:0/92 | 2001:db8::2:783f:ffff:ffff |
| 133 | 2001:db8::2:7840:0:0/92 | 2001:db8::2:784f:ffff:ffff |
| 134 | 2001:db8::2:7850:0:0/92 | 2001:db8::2:785f:ffff:ffff |
| 135 | 2001:db8::2:7860:0:0/92 | 2001:db8::2:786f:ffff:ffff |
| 136 | 2001:db8::2:7870:0:0/92 | 2001:db8::2:787f:ffff:ffff |
| 137 | 2001:db8::2:7880:0:0/92 | 2001:db8::2:788f:ffff:ffff |
| 138 | 2001:db8::2:7890:0:0/92 | 2001:db8::2:789f:ffff:ffff |
| 139 | 2001:db8::2:78a0:0:0/92 | 2001:db8::2:78af:ffff:ffff |
| 140 | 2001:db8::2:78b0:0:0/92 | 2001:db8::2:78bf:ffff:ffff |
| 141 | 2001:db8::2:78c0:0:0/92 | 2001:db8::2:78cf:ffff:ffff |
| 142 | 2001:db8::2:78d0:0:0/92 | 2001:db8::2:78df:ffff:ffff |
| 143 | 2001:db8::2:78e0:0:0/92 | 2001:db8::2:78ef:ffff:ffff |
| 144 | 2001:db8::2:78f0:0:0/92 | 2001:db8::2:78ff:ffff:ffff |
| 145 | 2001:db8::2:7900:0:0/92 | 2001:db8::2:790f:ffff:ffff |
| 146 | 2001:db8::2:7910:0:0/92 | 2001:db8::2:791f:ffff:ffff |
| 147 | 2001:db8::2:7920:0:0/92 | 2001:db8::2:792f:ffff:ffff |
| 148 | 2001:db8::2:7930:0:0/92 | 2001:db8::2:793f:ffff:ffff |
| 149 | 2001:db8::2:7940:0:0/92 | 2001:db8::2:794f:ffff:ffff |
| 150 | 2001:db8::2:7950:0:0/92 | 2001:db8::2:795f:ffff:ffff |
| 151 | 2001:db8::2:7960:0:0/92 | 2001:db8::2:796f:ffff:ffff |
| 152 | 2001:db8::2:7970:0:0/92 | 2001:db8::2:797f:ffff:ffff |
| 153 | 2001:db8::2:7980:0:0/92 | 2001:db8::2:798f:ffff:ffff |
| 154 | 2001:db8::2:7990:0:0/92 | 2001:db8::2:799f:ffff:ffff |
| 155 | 2001:db8::2:79a0:0:0/92 | 2001:db8::2:79af:ffff:ffff |
| 156 | 2001:db8::2:79b0:0:0/92 | 2001:db8::2:79bf:ffff:ffff |
| 157 | 2001:db8::2:79c0:0:0/92 | 2001:db8::2:79cf:ffff:ffff |
| 158 | 2001:db8::2:79d0:0:0/92 | 2001:db8::2:79df:ffff:ffff |
| 159 | 2001:db8::2:79e0:0:0/92 | 2001:db8::2:79ef:ffff:ffff |
| 160 | 2001:db8::2:79f0:0:0/92 | 2001:db8::2:79ff:ffff:ffff |
| 161 | 2001:db8::2:7a00:0:0/92 | 2001:db8::2:7a0f:ffff:ffff |
| 162 | 2001:db8::2:7a10:0:0/92 | 2001:db8::2:7a1f:ffff:ffff |
| 163 | 2001:db8::2:7a20:0:0/92 | 2001:db8::2:7a2f:ffff:ffff |
| 164 | 2001:db8::2:7a30:0:0/92 | 2001:db8::2:7a3f:ffff:ffff |
| 165 | 2001:db8::2:7a40:0:0/92 | 2001:db8::2:7a4f:ffff:ffff |
| 166 | 2001:db8::2:7a50:0:0/92 | 2001:db8::2:7a5f:ffff:ffff |
| 167 | 2001:db8::2:7a60:0:0/92 | 2001:db8::2:7a6f:ffff:ffff |
| 168 | 2001:db8::2:7a70:0:0/92 | 2001:db8::2:7a7f:ffff:ffff |
| 169 | 2001:db8::2:7a80:0:0/92 | 2001:db8::2:7a8f:ffff:ffff |
| 170 | 2001:db8::2:7a90:0:0/92 | 2001:db8::2:7a9f:ffff:ffff |
| 171 | 2001:db8::2:7aa0:0:0/92 | 2001:db8::2:7aaf:ffff:ffff |
| 172 | 2001:db8::2:7ab0:0:0/92 | 2001:db8::2:7abf:ffff:ffff |
| 173 | 2001:db8::2:7ac0:0:0/92 | 2001:db8::2:7acf:ffff:ffff |
| 174 | 2001:db8::2:7ad0:0:0/92 | 2001:db8::2:7adf:ffff:ffff |
| 175 | 2001:db8::2:7ae0:0:0/92 | 2001:db8::2:7aef:ffff:ffff |
| 176 | 2001:db8::2:7af0:0:0/92 | 2001:db8::2:7aff:ffff:ffff |
| 177 | 2001:db8::2:7b00:0:0/92 | 2001:db8::2:7b0f:ffff:ffff |
| 178 | 2001:db8::2:7b10:0:0/92 | 2001:db8::2:7b1f:ffff:ffff |
| 179 | 2001:db8::2:7b20:0:0/92 | 2001:db8::2:7b2f:ffff:ffff |
| 180 | 2001:db8::2:7b30:0:0/92 | 2001:db8::2:7b3f:ffff:ffff |
| 181 | 2001:db8::2:7b40:0:0/92 | 2001:db8::2:7b4f:ffff:ffff |
| 182 | 2001:db8::2:7b50:0:0/92 | 2001:db8::2:7b5f:ffff:ffff |
| 183 | 2001:db8::2:7b60:0:0/92 | 2001:db8::2:7b6f:ffff:ffff |
| 184 | 2001:db8::2:7b70:0:0/92 | 2001:db8::2:7b7f:ffff:ffff |
| 185 | 2001:db8::2:7b80:0:0/92 | 2001:db8::2:7b8f:ffff:ffff |
| 186 | 2001:db8::2:7b90:0:0/92 | 2001:db8::2:7b9f:ffff:ffff |
| 187 | 2001:db8::2:7ba0:0:0/92 | 2001:db8::2:7baf:ffff:ffff |
| 188 | 2001:db8::2:7bb0:0:0/92 | 2001:db8::2:7bbf:ffff:ffff |
| 189 | 2001:db8::2:7bc0:0:0/92 | 2001:db8::2:7bcf:ffff:ffff |
| 190 | 2001:db8::2:7bd0:0:0/92 | 2001:db8::2:7bdf:ffff:ffff |
| 191 | 2001:db8::2:7be0:0:0/92 | 2001:db8::2:7bef:ffff:ffff |
| 192 | 2001:db8::2:7bf0:0:0/92 | 2001:db8::2:7bff:ffff:ffff |
| 193 | 2001:db8::2:7c00:0:0/92 | 2001:db8::2:7c0f:ffff:ffff |
| 194 | 2001:db8::2:7c10:0:0/92 | 2001:db8::2:7c1f:ffff:ffff |
| 195 | 2001:db8::2:7c20:0:0/92 | 2001:db8::2:7c2f:ffff:ffff |
| 196 | 2001:db8::2:7c30:0:0/92 | 2001:db8::2:7c3f:ffff:ffff |
| 197 | 2001:db8::2:7c40:0:0/92 | 2001:db8::2:7c4f:ffff:ffff |
| 198 | 2001:db8::2:7c50:0:0/92 | 2001:db8::2:7c5f:ffff:ffff |
| 199 | 2001:db8::2:7c60:0:0/92 | 2001:db8::2:7c6f:ffff:ffff |
| 200 | 2001:db8::2:7c70:0:0/92 | 2001:db8::2:7c7f:ffff:ffff |
| 201 | 2001:db8::2:7c80:0:0/92 | 2001:db8::2:7c8f:ffff:ffff |
| 202 | 2001:db8::2:7c90:0:0/92 | 2001:db8::2:7c9f:ffff:ffff |
| 203 | 2001:db8::2:7ca0:0:0/92 | 2001:db8::2:7caf:ffff:ffff |
| 204 | 2001:db8::2:7cb0:0:0/92 | 2001:db8::2:7cbf:ffff:ffff |
| 205 | 2001:db8::2:7cc0:0:0/92 | 2001:db8::2:7ccf:ffff:ffff |
| 206 | 2001:db8::2:7cd0:0:0/92 | 2001:db8::2:7cdf:ffff:ffff |
| 207 | 2001:db8::2:7ce0:0:0/92 | 2001:db8::2:7cef:ffff:ffff |
| 208 | 2001:db8::2:7cf0:0:0/92 | 2001:db8::2:7cff:ffff:ffff |
| 209 | 2001:db8::2:7d00:0:0/92 | 2001:db8::2:7d0f:ffff:ffff |
| 210 | 2001:db8::2:7d10:0:0/92 | 2001:db8::2:7d1f:ffff:ffff |
| 211 | 2001:db8::2:7d20:0:0/92 | 2001:db8::2:7d2f:ffff:ffff |
| 212 | 2001:db8::2:7d30:0:0/92 | 2001:db8::2:7d3f:ffff:ffff |
| 213 | 2001:db8::2:7d40:0:0/92 | 2001:db8::2:7d4f:ffff:ffff |
| 214 | 2001:db8::2:7d50:0:0/92 | 2001:db8::2:7d5f:ffff:ffff |
| 215 | 2001:db8::2:7d60:0:0/92 | 2001:db8::2:7d6f:ffff:ffff |
| 216 | 2001:db8::2:7d70:0:0/92 | 2001:db8::2:7d7f:ffff:ffff |
| 217 | 2001:db8::2:7d80:0:0/92 | 2001:db8::2:7d8f:ffff:ffff |
| 218 | 2001:db8::2:7d90:0:0/92 | 2001:db8::2:7d9f:ffff:ffff |
| 219 | 2001:db8::2:7da0:0:0/92 | 2001:db8::2:7daf:ffff:ffff |
| 220 | 2001:db8::2:7db0:0:0/92 | 2001:db8::2:7dbf:ffff:ffff |
| 221 | 2001:db8::2:7dc0:0:0/92 | 2001:db8::2:7dcf:ffff:ffff |
| 222 | 2001:db8::2:7dd0:0:0/92 | 2001:db8::2:7ddf:ffff:ffff |
| 223 | 2001:db8::2:7de0:0:0/92 | 2001:db8::2:7def:ffff:ffff |
| 224 | 2001:db8::2:7df0:0:0/92 | 2001:db8::2:7dff:ffff:ffff |
| 225 | 2001:db8::2:7e00:0:0/92 | 2001:db8::2:7e0f:ffff:ffff |
| 226 | 2001:db8::2:7e10:0:0/92 | 2001:db8::2:7e1f:ffff:ffff |
| 227 | 2001:db8::2:7e20:0:0/92 | 2001:db8::2:7e2f:ffff:ffff |
| 228 | 2001:db8::2:7e30:0:0/92 | 2001:db8::2:7e3f:ffff:ffff |
| 229 | 2001:db8::2:7e40:0:0/92 | 2001:db8::2:7e4f:ffff:ffff |
| 230 | 2001:db8::2:7e50:0:0/92 | 2001:db8::2:7e5f:ffff:ffff |
| 231 | 2001:db8::2:7e60:0:0/92 | 2001:db8::2:7e6f:ffff:ffff |
| 232 | 2001:db8::2:7e70:0:0/92 | 2001:db8::2:7e7f:ffff:ffff |
| 233 | 2001:db8::2:7e80:0:0/92 | 2001:db8::2:7e8f:ffff:ffff |
| 234 | 2001:db8::2:7e90:0:0/92 | 2001:db8::2:7e9f:ffff:ffff |
| 235 | 2001:db8::2:7ea0:0:0/92 | 2001:db8::2:7eaf:ffff:ffff |
| 236 | 2001:db8::2:7eb0:0:0/92 | 2001:db8::2:7ebf:ffff:ffff |
| 237 | 2001:db8::2:7ec0:0:0/92 | 2001:db8::2:7ecf:ffff:ffff |
| 238 | 2001:db8::2:7ed0:0:0/92 | 2001:db8::2:7edf:ffff:ffff |
| 239 | 2001:db8::2:7ee0:0:0/92 | 2001:db8::2:7eef:ffff:ffff |
| 240 | 2001:db8::2:7ef0:0:0/92 | 2001:db8::2:7eff:ffff:ffff |
| 241 | 2001:db8::2:7f00:0:0/92 | 2001:db8::2:7f0f:ffff:ffff |
| 242 | 2001:db8::2:7f10:0:0/92 | 2001:db8::2:7f1f:ffff:ffff |
| 243 | 2001:db8::2:7f20:0:0/92 | 2001:db8::2:7f2f:ffff:ffff |
| 244 | 2001:db8::2:7f30:0:0/92 | 2001:db8::2:7f3f:ffff:ffff |
| 245 | 2001:db8::2:7f40:0:0/92 | 2001:db8::2:7f4f:ffff:ffff |
| 246 | 2001:db8::2:7f50:0:0/92 | 2001:db8::2:7f5f:ffff:ffff |
| 247 | 2001:db8::2:7f60:0:0/92 | 2001:db8::2:7f6f:ffff:ffff |
| 248 | 2001:db8::2:7f70:0:0/92 | 2001:db8::2:7f7f:ffff:ffff |
| 249 | 2001:db8::2:7f80:0:0/92 | 2001:db8::2:7f8f:ffff:ffff |
| 250 | 2001:db8::2:7f90:0:0/92 | 2001:db8::2:7f9f:ffff:ffff |
| 251 | 2001:db8::2:7fa0:0:0/92 | 2001:db8::2:7faf:ffff:ffff |
| 252 | 2001:db8::2:7fb0:0:0/92 | 2001:db8::2:7fbf:ffff:ffff |
| 253 | 2001:db8::2:7fc0:0:0/92 | 2001:db8::2:7fcf:ffff:ffff |
| 254 | 2001:db8::2:7fd0:0:0/92 | 2001:db8::2:7fdf:ffff:ffff |
| 255 | 2001:db8::2:7fe0:0:0/92 | 2001:db8::2:7fef:ffff:ffff |
| 256 | 2001:db8::2:7ff0:0:0/92 | 2001:db8::2:7fff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |